Role Name
=========

A role that installs ePASMed, a mediator between ePAS and SistemaInformativo ISTI.

Role Variables
--------------

The most important variables are listed below:

``` yaml
epasmed_docker_stack_name: 'epasmed_prod'
epasmed_docker_service_server_name: 'epasmed'
epasmed_docker_registry: ''
epasmed_docker_server_image: 'giancarlopanichi/epasmed:latest'
epasmed_docker_network: 'epasmed_net'
epasmed_behind_haproxy: True
epasmed_haproxy_public_net: 'haproxy-public'

# DB
# Set to true if postgresql must be a container too
epasmed_dockerized_db: False
epasmed_pg_version: '12'
epasmed_db_image: 'postgres:{{ epasmed_pg_version }}-alpine'
# The default hostname is the name of the container service
epasmed_db_host: 'postgres'
epasmed_db_name: 'epasmed_prod_db'
epasmed_db_url: 'jdbc:postgresql://epasmed-postgresql:5432/epasmed'
epasmed_db_allowed_hosts:
  - '127.0.0.1'
epasmed_db_user: 'epasmed'
#epasmed_db_pwd: 'set it in a vault file'
epasmed_db_host_auth_method: 'password' #scram-sha-256, md5, password, trust...
epasmed_docker_db_node: 'localhost'
epasmed_db_volume: 'epasmed_prod_pg_data'
epasmed_db_constraints: '[node.labels.epasmed_pg_data==epasmed_db]'
epasmed_pg_data_volume: '~/volumes/jhipster/epasmed/postgresql/'
epasmed_pg_backups_volume: '~/volumes/jhipster/epasmed/postgresql/'

# Environment
epasmed_server_hostname: 'epasmed.isti.cnr.it'
epasmed_spring_profile_active: 'prod,swagger'

# Mail
epasmed_spring_mail_host: 'localhost'
epasmed_spring_mail_port: '25'
epasmed_spring_mail_username: ''
epasmed_spring_mail_password: ''

# Metrics
epasmed_management_metrics_export_prometheus_enabled: 'true'       

# Jhipster
epasmed_jhipster_sleep: '30'
#epasmed_jhipster_security_rememberme_key: 'set it in a vault file'

# Logging
epasmed_logging_level: 'DEBUG'

# Application
epasmed_application_datasourceepasmed_liquibase_contexts: 'prod, faker'
epasmed_application_datasourceepasmed_liquibase_changelog: 'classpath:config/liquibase/epasmed/master.xml'
epasmed_application_datasourceepasmed_liquibase_enabled: 'true'
epasmed_application_datasourcesistemainformativo_datasource_url: 'jdbc:postgresql://sistemainformativo-dev.isti.cnr.it:5432/sistemainformativo' 
epasmed_application_datasourcesistemainformativo_datasource_username: 'epasmed'
epasmed_application_datasourcesistemainformativo_datasource_password: ''
epasmed_application_datasourceepasrest_resturl: 'https://epas.isti.cnr.it/rest'
epasmed_application_datasourceepasrest_restusername1: 'isti_registry_manager'
epasmed_application_datasourceepasrest_restpassword1: ''
epasmed_application_datasourceepasrest_restusername2: 'isti_person_day_reader'
epasmed_application_datasourceepasrest_restpassword2: ''
epasmed_application_datasourceepasrest_restusername3: 'userISTI'
epasmed_application_datasourceepasrest_restpassword3: ''

```

Dependencies
------------

A docker swarm cluster is required

Author Information
------------------

- **Giancarlo Panichi** ([ORCID](https://orcid.org/0000-0001-8375-6644)) - <giancarlo.panichi@isti.cnr.it>

License
-------

This project is licensed under the EUPL V.1.2 License - see the [LICENSE](LICENSE) file for details.
